stralloc_diffs(3)

NAME
stralloc_diffs - check if string is prefix of stralloc

SYNTAX
#include <libowfat/stralloc.h> int stralloc_diffs(stralloc* a,const char* b);

DESCRIPTION
stralloc_diffs returns negative, 0, or positive, depending on whether the \0-terminated string in a, without the terminating \0, is lexicographically smaller than, equal to, or greater than the string stored in a.

RETURN VALUE
<0 if a<b, 0 if a==b, >0 if a>b.

SEE ALSO
stralloc_diff(3), stralloc_starts(3), str_diff(3)